ghc-7.6.3: The GHC API

Safe Haskell | None

Fingerprint

# Documentation

data Fingerprint Source

Constructors

Fingerprint !Word64 !Word64 |

Instances

Eq Fingerprint |
Ord Fingerprint |
Storable Fingerprint |
Outputable Fingerprint |
Binary Fingerprint |

fingerprint0 :: Fingerprint Source

readHexFingerprint :: String -> Fingerprint

fingerprintData :: Ptr Word8 -> Int -> IO Fingerprint Source

fingerprintString :: String -> Fingerprint Source